*[data-anim]:not([data-anim="none"]),
*[data-anim]:not([data-anim="none"]) .anim-child {
   animation-fill-mode: both;
	animation-duration: 1s
}

*[data-anim-speed="slow"],
*[data-anim-speed="slow"] .anim-child {
	animation-duration: 1.5s !important
}

*[data-anim-speed="slower"],
*[data-anim-speed="slower"] .anim-child {
	animation-duration: 2s !important
}

*[data-anim-speed="slowest"],
*[data-anim-speed="slowest"] .anim-child {
	animation-duration: 3s !important
}

*[data-anim-speed="fast"],
*[data-anim-speed="fast"] .anim-child {
	animation-duration: .6s !important
}

*[data-anim-speed="faster"],
*[data-anim-speed="faster"] .anim-child {
	animation-duration: 0.3s !important
}@keyframes flipInX {
	0% {
      transform: perspective(400px) rotateX(90deg);
		opacity: 0
   }

	40% {
		transform: perspective(400px) rotateX(-10deg)
   }

	70% {
      transform: perspective(400px) rotateX(10deg)
   }

	100% {
      transform: perspective(400px) rotateX(0deg);
		opacity: 1
   }
}

*[data-anim="flipInX"]:not([data-anim-sequential="true"]).animate,
*[data-anim="flipInX"][data-anim-sequential="true"] .anim-child.animate {
   backface-visibility: visible !important;
   animation-name: flipInX
}